:root {
  --light-square: #eeeeee;
  --dark-square: #c6c6c6;

  --body-bg: #222;
  --accent: #ffffff;
}

body {
    font-family: consolas;
    padding: 20px;
    background-color: var(--body-bg);
    justify-content: center;
    align-items: center;
}

.center {
    justify-content: center;
    align-items: center;
}

.container {
    display: flex;
    gap: 20px;
}

.title {
    color: var(--accent);
    text-align: center;
    font-weight: bold;
}

#board-wrap {
    width: 40%;
}

#board {
    width: 100%;
}

.panel {
    width: 400px;
}

textarea {
    width: 100%;
    height: 120px;
}

.buttons {
    margin-top: 10px;
}

button {
    margin: 5px;
    padding: 5px 10px;
}

#moves {
    margin-top: 10px;
    height: 150px;
    overflow-y: auto;
    border: 1px solid #ccc;
    padding: 5px;
}

.analysis {
    margin-top: 10px;
    color: white;
}